# chuniio-brokenithm

ChuniIO/AimeIO driver for [Brokenithm-Android](https://github.com/tindy2013/Brokenithm-Android) and
[Brokenithm-iOS](https://github.com/esterTion/Brokenithm-iOS)
without needing an external server.

## Configuration
segatools.ini

```ini
[aimeio]
path=aimeio_brokenithm.dll

[chuniio]
path32=chuniio_brokenithm_x86.dll
path64=chuniio_brokenithm_x64.dll

[io3]
; Test button virtual-key code. Default is the 1 key.
test=0x31
; Service button virtual-key code. Default is the 2 key.
service=0x32
; Keyboard button to increment coin counter. Default is the 3 key.
coin=0x33
; AIR sensor emulator. Default is the space key.
; If using individual-ray IR (see below), set this value to 0.
ir=0x20

[brokenithm]
; Use TCP instead of UDP for connections (default TCP)
tcp=1

; Port to accept connections on (default 52468)
port=52468
```

## Build instructions
```shell
# In MinGW32
pacman -S mingw-w64-i686-libimobiledevice

mkdir -p build/build32
cd build/build32
cmake ../..
ninja

# In MinGW64
mkdir -p build/build64
cd build/build64
cmake ../..
ninja

ls build/build32/chuniio/chuniio_brokenithm.dll
ls build/build64/chuniio/chuniio_brokenithm.dll
ls build/build64/aimeio/aimeio_brokenithm.dll
```