//
// Created by beerpsi on 12/31/2023.
//

#ifndef CHUNIIO_BROKENITHM_IOS_H
#define CHUNIIO_BROKENITHM_IOS_H

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "ipc_memory_info.h"

;
#pragma pack(push)
#pragma pack(1)
struct iOSPacketInput {
    uint8_t packetSize;
    uint8_t packetName[3];
    uint8_t airIoStatus[6];
    uint8_t sliderIoStatus[32];
    uint8_t testBtn;
    uint8_t serviceBtn;
};

struct PacketAirStatus {
    uint8_t packetSize;
    uint8_t packetName[3];
    uint8_t airEnabled;
};
#pragma pack(pop)

HRESULT ios_init_server(struct IPCMemoryInfo *memory);

#endif // CHUNIIO_BROKENITHM_IOS_H
